# pst_block_recorder Struct Reference

this is only used for internal debugging More...

`#include <libpst/libpst.h>`

Collaboration diagram for pst_block_recorder:
[legend]

## Data Fields
struct pst_block_recorder * | next
int64_t | offset
size_t | size
int | readcount

## Detailed Description

this is only used for internal debugging

Definition at line 878 of file libpst.h.

## Field Documentation

struct pst_block_recorder* pst_block_recorder::next`[read]`

Definition at line 879 of file libpst.h.

int64_t pst_block_recorder::offset

Definition at line 880 of file libpst.h.

int pst_block_recorder::readcount

Definition at line 882 of file libpst.h.

size_t pst_block_recorder::size

Definition at line 881 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h